# QItemEditorCreatorBase Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QItemEditorCreatorBase()

### Constructor Properties

- prototype: The QItemEditorCreatorBase prototype object

### Prototype Object Properties

- QWidget createWidget(QWidget parent)
- QByteArray valuePropertyName()

### Instance Properties

QItemEditorCreatorBase objects have no special properties beyond those inherited from the QItemEditorCreatorBase prototype object.